// Fill out your copyright notice in the Description page of Project Settings.


#include "Game/SOCGameModeBase.h"
#include "Game/SOCGameState.h"

ASOCGameModeBase::ASOCGameModeBase()
{
	GameStateClass = ASOCGameState::StaticClass();
}

void ASOCGameModeBase::StartPlay()
{
	Super::StartPlay();
	
	ASOCGameState* State = Cast<ASOCGameState>(GameState);
	if(State)
	{
		FActorSpawnParameters SpawnParams;
		SpawnParams.SpawnCollisionHandlingOverride = ESpawnActorCollisionHandlingMethod::AlwaysSpawn;
		SpawnParams.Owner = State;
		State->SetOcean(GetWorld()->SpawnActor<AOcean>(OceanClass,
			FVector::ZeroVector, FRotator::ZeroRotator, SpawnParams));
	}
}
